GaussianBlur (JavaFX 17)

Module javafx.graphics
Package javafx.scene.effect

## Class GaussianBlur

- java.lang.Object
- - javafx.scene.effect.Effect
  - - javafx.scene.effect.GaussianBlur

-     public class GaussianBlur
      extends Effect

  A blur effect using a Gaussian convolution kernel, with a configurable radius.

  Example:

       Text text = new Text();
       text.setText("Blurry Text!");
       text.setFill(Color.web("0x3b596d"));
       text.setFont(Font.font(null, FontWeight.BOLD, 50));
       text.setX(10);
       text.setY(50);

       text.setEffect(new GaussianBlur());

  The code above produces the following:

  Since:
    JavaFX 2.0

- - ### Property Summary

    Properties
    Type | Property | Description
    --- | --- | ---
    `ObjectProperty<Effect>` | `input` | The input for this `Effect`.
    `DoubleProperty` | `radius` | The radius of the blur kernel.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GaussianBlur()` | Creates a new instance of GaussianBlur with default parameters.
    `GaussianBlur​(double radius)` | Creates a new instance of GaussianBlur with the specified radius.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Effect` | `getInput()` | Gets the value of the property input.
    `double` | `getRadius()` | Gets the value of the property radius.
    `ObjectProperty<Effect>` | `inputProperty()` | The input for this `Effect`.
    `DoubleProperty` | `radiusProperty()` | The radius of the blur kernel.
    `void` | `setInput​(Effect value)` | Sets the value of the property input.
    `void` | `setRadius​(double value)` | Sets the value of the property radius.

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Property Detail

    - #### input

          public final ObjectProperty<Effect> inputProperty

      The input for this `Effect`. If set to `null`, or left unspecified, a graphical image of the `Node` to which the `Effect` is attached will be used as the input.
      Default value:
        null
      See Also:
        `getInput()`, `setInput(Effect)`

    - #### radius

          public final DoubleProperty radiusProperty

      The radius of the blur kernel.

                 Min:  0.0
                 Max: 63.0
             Default: 10.0
            Identity:  0.0

      Default value:
        10.0
      See Also:
        `getRadius()`, `setRadius(double)`

  - ### Constructor Detail

    - #### GaussianBlur

          public GaussianBlur()

      Creates a new instance of GaussianBlur with default parameters.

    - #### GaussianBlur

          public GaussianBlur​(double radius)

      Creates a new instance of GaussianBlur with the specified radius.
      Parameters:
        `radius` - the radius of the blur kernel
      Since:
        JavaFX 2.1

  - ### Method Detail

    - #### setInput

          public final void setInput​(Effect value)

      Sets the value of the property input.
      Property description:
        The input for this `Effect`. If set to `null`, or left unspecified, a graphical image of the `Node` to which the `Effect` is attached will be used as the input.
      Default value:
        null

    - #### getInput

          public final Effect getInput()

      Gets the value of the property input.
      Property description:
        The input for this `Effect`. If set to `null`, or left unspecified, a graphical image of the `Node` to which the `Effect` is attached will be used as the input.
      Default value:
        null

    - #### inputProperty

          public final ObjectProperty<Effect> inputProperty()

      The input for this `Effect`. If set to `null`, or left unspecified, a graphical image of the `Node` to which the `Effect` is attached will be used as the input.
      Default value:
        null
      See Also:
        `getInput()`, `setInput(Effect)`

    - #### setRadius

          public final void setRadius​(double value)

      Sets the value of the property radius.
      Property description:
        The radius of the blur kernel.

                   Min:  0.0
                   Max: 63.0
               Default: 10.0
              Identity:  0.0

      Default value:
        10.0

    - #### getRadius

          public final double getRadius()

      Gets the value of the property radius.
      Property description:
        The radius of the blur kernel.

                   Min:  0.0
                   Max: 63.0
               Default: 10.0
              Identity:  0.0

      Default value:
        10.0

    - #### radiusProperty

          public final DoubleProperty radiusProperty()

      The radius of the blur kernel.

                 Min:  0.0
                 Max: 63.0
             Default: 10.0
            Identity:  0.0

      Default value:
        10.0
      See Also:
        `getRadius()`, `setRadius(double)`